%define major 17
%define libname %mklibname %{name} %{major}
%define libgui %mklibname %{name}gui %{major}

Summary:	A sound editor for KDE
Name:		kwave
Version:	17.08.2
Release:	1
Epoch:		1
License:	GPLv2+
Group:		Sound
Url:		http://kwave.sourceforge.net/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	doxygen
BuildRequires:	imagemagick
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	libid3-devel >= 3.8.1
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(audiofile) >= 0.3.0
BuildRequires:	pkgconfig(fftw3) >= 3.0
BuildRequires:	pkgconfig(flac++) >= 1.2.0
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(opus) >= 1.0.0
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core) >= 5.6.1
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(samplerate) >= 0.1.3
BuildRequires:	pkgconfig(vorbis) >= 1.1.0
BuildRequires:	pkgconfig(vorbisenc) >= 1.1.0

%description
Kwave is a sound editor designed for the K Desktop Environment. With Kwave
you can edit many sorts of wav-files including multi-channel files. You are
able to alter and play back each channel on its own. It also includes many
plugins (most are still under development) to transform the wave-file in
several ways and presents a graphical view with a complete zoom and scroll
capability.

%files -f %{name}.lang
%doc CHANGES README TODO
%{_kde5_bindir}/%{name}
%{_kde5_iconsdir}/*/*/apps/%{name}.*
%{_kde5_iconsdir}/*/*/actions/%{name}*
%{_kde5_applicationsdir}/org.kde.kwave.desktop
%{_kde5_servicetypes}/%{name}-plugin.desktop
%{_kde5_datadir}/%{name}/menus.config
%{_kde5_datadir}/%{name}/pics/*
%{_appdatadir}/org.kde.kwave.appdata.xml
%{_qt5_plugindir}/%{name}/*.so

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries needed by %{name}
Group:		System/Libraries

%description -n %{libname}
Libraries needed for %{name}.

%files -n %{libname}
%doc LICENSES
%{_kde5_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libgui}
Summary:	Libraries needed by %{name}
Group:		System/Libraries
Conflicts:	%{_lib}kwave0 < 0.8.10

%description -n %{libgui}
Libraries needed for %{name}.

%files -n %{libgui}
%doc LICENSES
%{_kde5_libdir}/lib%{name}gui.so.%{major}*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
#-DWITH_GSL=OFF
%cmake_kde5 \
	-DWITH_MP3=ON \
	-DWITH_DOC=OFF
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde --with-html

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.08.2-1
- (93a9e87) New version 17.08.2


